# throw_allocator.h File Reference

## Detailed Description

Definition in file throw_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- struct __gnu_cxx::forced_exception_error
- class __gnu_cxx::throw_allocator< T >
- struct __gnu_cxx::throw_allocator< T >::rebind< U >
- class __gnu_cxx::throw_allocator_base
- struct __gnu_cxx::throw_allocator_base::group_throw_prob_adjustor
- struct __gnu_cxx::throw_allocator_base::zero_throw_prob_adjustor
- class __gnu_cxx::twister_rand_gen

## Defines

- #define _THROW_ALLOCATOR_H

## Functions

- void __gnu_cxx::__throw_forced_exception_error ()
- template<typename T> bool __gnu_cxx::operator!= (const throw_allocator< T > &, const throw_allocator< T > &)
- std::ostream & __gnu_cxx::operator<< (std::ostream &os, const throw_allocator_base &alloc)
- template<typename T> bool __gnu_cxx::operator== (const throw_allocator< T > &, const throw_allocator< T > &)